Bug 707794 - Asus touchpad detected incorrectly
Asus touchpad detected incorrectly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 20:58 EDT by Teguh DC
Modified: 2012-07-11 13:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg, grep -i input (1.04 KB, text/plain)
2011-05-25 20:58 EDT, Teguh DC
no flags Details
Xorg.0.log (17.25 KB, text/plain)
2011-05-25 21:00 EDT, Teguh DC
no flags Details
two files from psmouse-elantech-v6.tar.bz2 (52.78 KB, patch)
2011-10-26 04:46 EDT, Teguh DC
no flags Details | Diff

  None (edit)
Description Teguh DC 2011-05-25 20:58:25 EDT
Created attachment 500963 [details]
dmesg, grep -i input

Description of problem:
Touchpad detected as PS/2 Logitech Wheel Mouse

Version-Release number of selected component (if applicable):
2.6.38.6-27.fc15.i686.PAE

How reproducible:
always

Steps to Reproduce:
1. boot
2. login to gnome
3. settings > mouse and touchpad
  
Actual results:
no touchpad section

Expected results:
touchpad can be configure (enable/disable tap, finger scroll, etc)

Additional info:
My hardware: Asus A43S
Comment 1 Teguh DC 2011-05-25 21:00:12 EDT
Created attachment 500964 [details]
Xorg.0.log
Comment 2 Josh Boyer 2011-09-26 13:32:35 EDT
Does this still happen with the 2.6.40.x kernels in F15?
Comment 3 Teguh DC 2011-09-26 21:44:22 EDT
still happen in 2.6.40.3, no touchpad section
Comment 4 Chuck Ebbert 2011-09-27 12:38:25 EDT
Is this another machine with the infamous Alps touchpad with the secret communication protocol that Alps will not release?
Comment 5 Teguh DC 2011-10-03 00:02:13 EDT
Yes, i think it is alps touchpad.
Comment 6 Josh Boyer 2011-10-03 07:32:23 EDT

*** This bug has been marked as a duplicate of bug 590880 ***
Comment 7 Teguh DC 2011-10-26 01:05:39 EDT
I'm sorry, i'm not sure if it is alps ... i think this laptop using elantech ... how to see what touchpad is using in this laptop ?
Comment 8 Teguh DC 2011-10-26 04:43:36 EDT
Finally, i got my touchpad detected and working nicely. Asus A43SV or K43S using elantech touchpad. After replace elantech.c & elantech.h in kernel 2.6.40.6 with files from http://planet76.com/drivers/elantech/psmouse-elantech-v6.tar.bz2
Comment 9 Teguh DC 2011-10-26 04:46:06 EDT
Created attachment 530255 [details]
two files from psmouse-elantech-v6.tar.bz2

This patch consist two files from http://planet76.com/drivers/elantech/psmouse-elantech-v6.tar.bz2
Comment 10 Josh Boyer 2012-06-06 09:09:45 EDT
Is this still a problem with the 2.6.43/3.3 kernel updates in F15/F16?
Comment 11 Josh Boyer 2012-07-11 13:53:26 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.

Note You need to log in before you can comment on or make changes to this bug.